Subject: bug#70071: [FR] Provide official install scripts without requiring root, e.g., by making a static build possible

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Mar 2024 16:28:24 +0300

> From: Rudi C <[email-masked]>
> Date: Sat, 30 Mar 2024 16:25:49 +0330
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> I get this error (and this is after adding all those configure options which had previously caused errors):
> ```
> checking for library containing tputs... no
> configure: error: The required function 'tputs' was not found in any library.
> The following libraries were tried (in order):
>   libtinfo, libncurses, libterminfo, libcurses, libtermcap
> Please try installing whichever of these libraries is most appropriate
> for your system, together with its header files.
> For example, a libncurses-dev(el) or similar package.
> ```
> 
> So what should I do now? 

The error message is pretty self-explanatory, I think: you should
install one of the libraries it mentions, i.e.

  libtinfo, libncurses, libterminfo, libcurses, or libtermcap

together with the corresponding header files (usually, the package
will be called LIBRARY-dev or LIBRARY-devel), and then reconfigure.